"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f420>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f560>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f4c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f600>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f6a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f740>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f7e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f880>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f920>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6f9c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fa60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fb00>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fba0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fc40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fce0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fd80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fe20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6fec0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff86c6ff60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc80e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8180>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8220>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc82c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8360>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8400>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc84a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8540>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc85e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8680>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8720>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc87c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8860>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8900>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc89a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8a40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8ae0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8b80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8c20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8cc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8d60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8e00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8ea0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8f40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc8fe0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9080>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9120>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc91c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9260>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9300>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc93a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9440>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc94e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9580>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9620>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc96c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9760>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9800>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc98a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc99e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9a80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9b20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9bc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9c60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9d00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9da0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9e40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cc9f80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca020>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca0c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca160>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca200>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca2a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca340>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca3e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca480>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca520>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca660>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca5c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca700>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca7a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca840>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff86cca8e0>)]
name: str = 'fr_HOCCN'
